from django.contrib import admin
from .models import Author, Books

# Register your models here.
class BooksInLine(admin.TabularInline):
    model = Books

class AuthorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio')
    search_fields = ('first_name', 'last_name', 'age', 'nationality')

    inlines = [BooksInLine]

class BooksAdmin(admin.ModelAdmin):
    list_display = ('title', 'author', 'publisher', 'ISBN', 'year_published')

    def get_name(self, obj):
        return obj.article.title

    get_name.short_description = 'title'
    get_name.admin_order_field = 'year_published'    



admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)