from django.db import models
from django.core.validators import MaxValueValidator, MinValueValidator
from django.urls import reverse

# Create your models here.
class Author(models.Model):
    first_name = models.CharField(max_length = 50)
    last_name = models.CharField(max_length = 50)
    age = models.IntegerField(default = 0)
    nationality = models.CharField(max_length = 50)
    bio = models.TextField(max_length = 700)

    def __str__(self):
        return '{} {}'.format(self.first_name, self.last_name)
    
    def get_absolute_url(self):
        return reverse('bookshelf:author-details', kwargs={'pk':self.pk})


class Books(models.Model):
    title = models.CharField(max_length = 100)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length = 100)
    year_published = models.IntegerField(default = 0)
    ISBN = models.IntegerField(default = 0000000000000, validators=[MinValueValidator(0000000000000), MaxValueValidator(9999999999999)])
    blurb = models.TextField(max_length = 700)

    def __str__(self):
        return self.title
    
    def get_absolute_url(self):
        return reverse('bookshelf:book-details', kwargs={'pk':self.pk})
    


